[frs-342] Running FusionReactor (no-JRE) edition with Java 8

Regrettably the 5.2.0 & 5.2.1 versions of the no-JRE edition of FusionReactor do not work when supplied with a Java 8 runtime environment. This is due to the Felix OGSi runtime shipped with these versions not correctly exporting certain Java extension packages when running on Java 8. These packages need to be explicitly exported and unfortunately the shipped versions are missing some of the correct export statements in the supplied OSGi configuration. As a result the FRAM instance will not load any of the Instance Manager pages when started with Java 8.

Note: This issue does not affect customers who have installed 5.2.0 or 5.2.1 using the FusionReactor setup program.


If you wish to run this version with Java 8 you will need to place the attached fr-osgi.conf file into the osgi folder of the FRAM instance ( …/FusionReactor/instance/FRAM/osgi )

Download File: fr-osgi.conf

Issue Details

Type: Technote
Issue Number: FRS-342
Components: FRAM
Resolution: Fixed
Last Updated: 26/Aug/14 11:04 AM
Affects Version:
Fixed Version: 5.2.0
Related Issues:

Comments are closed.